5

The 16.04 Gnome Software Center will not open. When I click the icon on the launcher, all it does is show the loading icon and... that's it.

I looked it up, and nothing is working. I didn't even do anything either, it's just not opening. This is a fresh install from today. I first clicked the "Try Ubuntu" option when I got it working, and it would open, but since I actually installed it, it won't open.

After typing in the terminal apt policy software-center gnome-center, I got this:

software-center:
  Installed: (none)
  Candidate: (none)
  Version table:
gnome-software:
  Installed: 3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1
  Candidate: 3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1
  Version table:
 *** 3.20.1+git20160617.1.0440874.ubuntu-xenial-0ubuntu1~16.04.1 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages

And after typing software-center, it gave me

The program 'software-center' is currently not installed. You can install it by typing:
sudo apt install software-center

and after typing gnome-software, it didn't show anything.

The output of gnome-software --verbose is this:

(gnome-software:28808): Gs-DEBUG: compatible-project: GNOME
(gnome-software:28808): Gs-DEBUG: compatible-project: KDE
(gnome-software:28808): Gs-DEBUG: compatible-project: XFCE
(gnome-software:28808): As-DEBUG: run GsPlugin::setup
(gnome-software:28808): Gs-DEBUG: searching for plugins in /usr/lib/gs-plugins-9
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_provenance.so: provenance
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_epiphany.so: epiphany
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_moduleset.so: moduleset
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_apt.so: apt
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_appstream.so: appstream
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_dpkg.so: dpkg
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_fwupd.so: fwupd
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_ubuntu-reviews.so: ubuntu-reviews
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_menu-spec-categories.so: menu-spec-categories
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_menu-spec-refine.so: menu-spec-refine
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_icons.so: icons
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_dummy.so: dummy
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_snappy.so: snappy
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_hardcoded-featured.so: hardcoded-featured
(gnome-software:28808): Gs-DEBUG: opened plugin /usr/lib/gs-plugins-9/libgs_plugin_hardcoded-blacklist.so: hardcoded-blacklist
(gnome-software:28808): Gs-DEBUG: provenance [0.0] to be ordered after apt [0.0] so promoting to [1.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: epiphany [0.0] to be ordered after appstream [0.0] so promoting to [1.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: moduleset [0.0] to be ordered after menu-spec-categories [0.0] so promoting to [1.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: apt [0.0] to be ordered after appstream [0.0] so promoting to [1.0]
(gnome-software:28808): Gs-DEBUG: provenance [1.0] to be ordered after apt [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: appstream [0.0] to be ordered after menu-spec-categories [0.0] so promoting to [1.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: epiphany [1.0] to be ordered after appstream [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: moduleset [1.0] to be ordered after appstream [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: apt [1.0] to be ordered after appstream [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: provenance [2.0] to be ordered after apt [2.0] so promoting to [3.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: ubuntu-reviews [0.0] to be ordered after appstream [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: menu-spec-refine [0.0] to be ordered after appstream [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: icons [0.0] to be ordered after appstream [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: icons [2.0] to be ordered after epiphany [2.0] so promoting to [3.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): Gs-DEBUG: hardcoded-blacklist [0.0] to be ordered after appstream [1.0] so promoting to [2.0]
(gnome-software:28808): Gs-DEBUG: cannot find plugin 'packagekit-refine'
(gnome-software:28808): As-DEBUG: run GsPlugin::dpkg(gs_plugin_initialize)
(gnome-software:28808): As-DEBUG: run GsPlugin::fwupd(gs_plugin_initialize)
(gnome-software:28808): As-DEBUG: run GsPlugin::dummy(gs_plugin_initialize)
(gnome-software:28808): GsPlugin-DEBUG: disabling 'dummy' as not in self test
(gnome-software:28808): As-DEBUG: run GsPlugin::snappy(gs_plugin_initialize)
(gnome-software:28808): As-DEBUG: run GsPlugin::appstream(gs_plugin_initialize)
(gnome-software:28808): As-DEBUG: run GsPlugin::epiphany(gs_plugin_initialize)
(gnome-software:28808): GsPlugin-DEBUG: disabling 'epiphany' as epiphany does not exist
(gnome-software:28808): As-DEBUG: run GsPlugin::moduleset(gs_plugin_initialize)
(gnome-software:28808): As-DEBUG: run GsPlugin::apt(gs_plugin_initialize)
(gnome-software:28808): As-DEBUG: run GsPlugin::ubuntu-reviews(gs_plugin_initialize)
(gnome-software:28808): As-DEBUG: run GsPlugin::provenance(gs_plugin_initialize)
(gnome-software:28808): Gs-DEBUG: [enabled] 0.0 ->  dpkg
(gnome-software:28808): Gs-DEBUG: [enabled] 0.0 ->  fwupd
(gnome-software:28808): Gs-DEBUG: [enabled] 0.0 ->  menu-spec-categories
(gnome-software:28808): Gs-DEBUG: [disabled]    0.0 ->  dummy
(gnome-software:28808): Gs-DEBUG: [enabled] 0.0 ->  snappy
(gnome-software:28808): Gs-DEBUG: [enabled] 0.0 ->  hardcoded-featured
(gnome-software:28808): Gs-DEBUG: [enabled] 1.0 ->  appstream
(gnome-software:28808): Gs-DEBUG: [disabled]    2.0 ->  epiphany
(gnome-software:28808): Gs-DEBUG: [enabled] 2.0 ->  moduleset
(gnome-software:28808): Gs-DEBUG: [enabled] 2.0 ->  apt
(gnome-software:28808): Gs-DEBUG: [enabled] 2.0 ->  ubuntu-reviews
(gnome-software:28808): Gs-DEBUG: [enabled] 2.0 ->  menu-spec-refine
(gnome-software:28808): Gs-DEBUG: [enabled] 2.0 ->  hardcoded-blacklist
(gnome-software:28808): Gs-DEBUG: [enabled] 3.0 ->  provenance
(gnome-software:28808): Gs-DEBUG: [enabled] 3.0 ->  icons
Timeout was reached
(gnome-software:28808): Gs-DEBUG: emitting finished(<general>)
(gnome-software:28808): As-DEBUG: run GsPlugin::fwupd(gs_plugin_destroy)
(gnome-software:28808): As-DEBUG: run GsPlugin::snappy(gs_plugin_destroy)
(gnome-software:28808): As-DEBUG: run GsPlugin::appstream(gs_plugin_destroy)
(gnome-software:28808): As-DEBUG: run GsPlugin::moduleset(gs_plugin_destroy)
(gnome-software:28808): As-DEBUG: run GsPlugin::apt(gs_plugin_destroy)
(gnome-software:28808): As-DEBUG: run GsPlugin::ubuntu-reviews(gs_plugin_destroy)
(gnome-software:28808): As-DEBUG: run GsPlugin::provenance(gs_plugin_destroy)

Could someone please help me? Thank you.

  • can you please open terminal and run: sudo software-center and give me the log file – Nour Alhadi Mahmoud Sep 3 '16 at 17:15
  • sudo: software-center: command not found That's what it says after typing that in. – A Derp Sep 3 '16 at 17:23
  • then try this: sudo gnome-software-center – Nour Alhadi Mahmoud Sep 3 '16 at 17:27
  • 1
    The old "Ubuntu Software Centre" is the command software-center and the now "Ubuntu Software" from GNOME is the command gnome-software. In Ubuntu 16.04, only the new one is preinstalled though, but it seems like you want to launch the old one. Please edit your question and add the output of apt policy software-center gnome-software to check which packages are installed and then try to run both software-center and gnome-software from the terminal and add their outputs to the question ans well. Leave me a comment "@ByteCommander" once you're done. – Byte Commander Sep 3 '16 at 17:44
  • 1
    Here is the link: pastebin.com/CbUgyZ4b – A Derp Sep 3 '16 at 19:08
7

this problem can be solved by deleting the file ~/.local/share/gnome-software. It will be recreated when you start gnome-software. So just make sure you do not have any running instances of ubuntu-software or gnome-software:

$ killall ubuntu-software

$ killall gnome-software

and then:

$ rm -r ~/.local/share/gnome-software

This solution was initially proposed here

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.